> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List submissions

> List all submissions for a form.

<Info>Replace `{your-subdomain}` with your workspace’s subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/submissions.yaml GET /forms/{form_id}/submissions
openapi: 3.0.3
info:
  title: NeetoForm APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/submissions:
    get:
      tags:
        - Submissions
      summary: List all submissions
      description: List all submissions for a form.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/page_number_param'
        - $ref: '#/components/parameters/page_size_param'
        - $ref: '#/components/parameters/form_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/submissions_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    page_number_param:
      in: query
      name: page_number
      description: >-
        Retrieve paginated results by specifying the desired page number. If
        this parameter is absent, all results will be returned.
      required: false
      schema:
        type: integer
    page_size_param:
      in: query
      name: page_size
      description: >-
        Set the number of results returned in the response. Defaulting to 30
        when omitted.
      required: false
      schema:
        type: integer
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form for which you want to retrieve submissions. Refer
        to [Getting the Form ID](/getting-started/getting-form-id) section for
        detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    submissions_response:
      allOf:
        - type: object
          properties:
            submissions:
              type: array
              items:
                $ref: '#/components/schemas/submission'
        - $ref: '#/components/schemas/paginated_response'
        - type: object
          properties:
            total_count:
              type: integer
    submission:
      type: object
      properties:
        id:
          type: string
        created_at:
          $ref: '#/components/schemas/date_time_field'
        field_values:
          type: array
          items:
            type: object
        user_agent:
          $ref: '#/components/schemas/user_agent'
        responses:
          type: array
          items:
            $ref: '#/components/schemas/response_field'
    paginated_response:
      type: object
      properties:
        pagination:
          type: object
          properties:
            total_records:
              type: integer
            total_pages:
              type: integer
            current_page_number:
              type: integer
            page_size:
              type: integer
    date_time_field:
      type: string
      format: date-time
    user_agent:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        version:
          type: string
        ip_address:
          type: string
        device_name:
          type: string
        device_type:
          type: string
        operating_system:
          type: string
        operating_system_version:
          type: string
        submission_id:
          type: string
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'
    response_field:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        position:
          type: integer
        kind:
          type: string
        slug:
          type: string
        value:
          type: string

````